"use strict";
const command_1 = require("@oclif/command");
const utils_1 = require("./utils");
class NgMdComponents extends command_1.Command {
    async run() {
        /* tslint:disable:no-shadowed-variable */
        const { args, flags } = this.parse(NgMdComponents);
        if (!flags.ext.startsWith('.'))
            flags.ext = `.${flags.ext}`;
        utils_1.recursiveMd2Html(flags.directory, flags.ext, err => {
            if (err != null)
                throw err;
        });
    }
}
NgMdComponents.description = 'describe the command here';
NgMdComponents.flags = {
    // add --version flag to show CLI version
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    directory: command_1.flags.string({ char: 'd', description: 'Directory to recurse through', required: true }),
    ext: command_1.flags.string({ char: 'e', description: 'File extension to look for', default: '.md' }),
};
module.exports = NgMdComponents;
